Subject: Re: bug#22000: 25.0.50; Running dired changes frame width, gtk_distribute_natural_allocation throws assertion

From: martin rudalics <[email-masked]>
Date: Tue, 24 Nov 2015 20:26:42 +0100

> Yes. But at least I know now what really triggers this problem: GTK
 > throws this assertion when the menubar is not completely visible. This
 > is also why running Dired triggers this, because it adds a bunch of
 > additional menu entries. The frame is then resized so that the menu-bar
 > fits.

Magnificent!  Easy to trigger here by continuously narrowing the frame
until a menubar item disappears.  And starting dired from a fairly
narrow frame with the menubar fully visible resizes the frame so that
all menubar items are visible.  Thanks for finding the cause of this.

And obviously this is Bug#15700 ;-)

I don't think we can/should do anything about this.  But at least we
have to document it somewhere.  Any ideas?

martin